<?php
$config = Zend_Registry::get('reviews_config');
$items = $this->items;
$username = $items[0]['username'];
$reg_date = $items[0]['date_registered'];
?>


<? $this->headScript()
	->appendFile(_st('overlay.js'), 'text/javascript')
	->appendFile(_st('escort-reviews.js'), 'text/javascript')
	->appendScript('Cubix.Rev.lng = "' . Cubix_I18n::getLang() . '"')
	->appendScript('Cubix.Rev.is_member = 1');
?>

	<link href="<?= _st('reviews.css') ?>" media="screen" rel="stylesheet" type="text/css" />

	<style type="text/css">
		.r-showname {
			position:relative;
			outline: none;
		}

		.r-showname span {
			background:none repeat scroll 0 0 #FFFFFF !important;
			display:block;
			height:132px;
			left:30px;
			position:absolute;
			top:5px;
			visibility:hidden;
			width:100px;
			padding: 0px !important;
			border: none !important;
		}

		.r-showname:hover span {
			visibility:visible;
			z-index:100;
		}

		.r-showname:hover span img {
			border:1px solid #CCCCCC;
			margin:0;
			padding:1px;
		}
	</style>

<?php if ($this->count > 0): ?>
	<? if ( ! $this->ajax ): ?>
		<div class="i">
		<div class="rcol">
		<div class="guide-content ajax">
	<? endif; ?>
	<input type="hidden" name="page" value="<?= $this->page ?>" />
	<input type="hidden" name="ord_dir" value="<?= $this->ord_dir ?>" />
	<input type="hidden" name="ord_field" value="<?= $this->ord_field ?>" />
	<input type="hidden" name="member" value="<?= $this->username ?>" />

	<table cellspacing="0" cellpadding="0" class="tableData" style="width: 100%;">
		<tr>
			<td colspan="3"><span style="color: #BF1007; font-weight: bold; background: none; border: none;"><?= $username ?></span> (<?= $this->t('signed_up') ?>: <?= date('d M Y', $reg_date) ?>)</td>
			<td colspan="5" align="right"><?= $this->t('over_count_reviews', array('count' => $this->count)) ?></td>
		</tr>
		<tr class="tableHeader">
			<th style="width: 65px;">&nbsp;</th>
			<th style="width: 80px;"><a href="#" class="ord" rel="creation_date|<?= $this->ord_dir ?>"><?= $this->t('date') ?></a><? if($this->ord_field == 'creation_date'):?>&nbsp;<img src="<?= _st('reviews/icon_' . $this->ord_dir . '.gif') ?>" /><? endif;?></th>
			<th class="left"><a href="#" class="ord" rel="showname|<?= $this->ord_dir ?>"><?= $this->t('showname') ?></a><? if($this->ord_field == 'showname'):?>&nbsp;<img src="<?= _st('reviews/icon_' . $this->ord_dir . '.gif') ?>" /><? endif;?></th>
			<th><a href="#" class="ord" rel="agency_name|<?= $this->ord_dir ?>"><?= $this->t('agency') ?></a><? if($this->ord_field == 'agency_name'):?>&nbsp;<img src="<?= _st('reviews/icon_' . $this->ord_dir . '.gif') ?>" /><? endif;?></th>
			<th><a href="#" class="ord" rel="city_title|<?= $this->ord_dir ?>"><?= $this->t('city') ?></a><? if($this->ord_field == 'city_title'):?>&nbsp;<img src="<?= _st('reviews/icon_' . $this->ord_dir . '.gif') ?>" /><? endif;?></th>
			<th><a href="#" class="ord" rel="looks|<?= $this->ord_dir ?>"><?= $this->t('looks') ?></a><? if($this->ord_field == 'looks'):?>&nbsp;<img src="<?= _st('reviews/icon_' . $this->ord_dir . '.gif') ?>" /><? endif;?></th>
			<th><a href="#" class="ord" rel="services|<?= $this->ord_dir ?>"><?= $this->t('services') ?></a><? if($this->ord_field == 'services'):?>&nbsp;<img src="<?= _st('reviews/icon_' . $this->ord_dir . '.gif') ?>" /><? endif;?></th>
			<th><a href="#" class="ord" rel="fuckometer|<?= $this->ord_dir ?>"><?= $this->t('fuckometer') ?></a></th>
		</tr>
		<?php foreach ($items as $item): ?>
			<tr class="center">
				<td><?= $item['is_fake_free'] ? '<img src="' . _st('reviews/verified.png') . '" />' : '&nbsp;' ?></td>
				<td><?= date('d M Y', $item['creation_date']) ?></td>
				<td class="left">
					<a class="r-showname" href="<?= $this->getLink('escort-reviews', array('showname' => $item['showname'], 'escort_id' => $item['escort_id'])) ?>">
								<span>
									<img height="124" width="92" src="<?= $item['photo_url'] ?>" alt="<?= $item['showname'] ?>" />
								</span>
						<?= $item['showname'] ?>
					</a>
				</td>
				<td><?= $item['agency_name'] ? $item['agency_name'] : 'Independent' ?></td>
				<td><?= $item['city_title'] ? $item['city_title'] : '-' ?></td>
				<? if ($item['status'] == REVIEW_DISABLED): ?>
					<td colspan="3"><div style="color: #A3171E; font-weight: bold;"><?= $this->t('review_disable_note') ?></div></td>
				<? else: ?>
					<td><img src="<?= _st('reviews/faces_' . $item['looks_rating'] . '.png') ?>" /></td>
					<td><img src="<?= _st('reviews/stars_' . $item['services_rating'] . '.png') ?>" /></td>
					<td><?= $item['fuckometer'] ?></td>
				<? endif; ?>
			</tr>
		<?php endforeach; ?>
	</table>

	<? $pages_count = ceil($this->count / $config['perPage']); ?>
	<? if( $pages_count != 1 ): ?>
		<p>
			<? $pages = $this->paging($this->count, $this->page, $config['perPage']); ?>
			<? if ( 1 < $this->page): ?>
				<a class="prev" href="<?= $this->getLink('member-reviews', array('username' => $this->username, 'page' => ($this->page == 2) ? null : $this->page - 1, 'ord_dir' => $this->ord_dir, 'ord_field' => $this->ord_field, 'city_id' => $this->city_id)) ?>" onclick="return Cubix.Rev.Load(this)"></a>
			<? endif ?>

			<? foreach ( $pages as $page ): ?>

				<? if ( $this->page == $page ): ?>
					<span><?= $page ?></span>
				<? else: ?>
					<a class="p" href="<?= $this->getLink('member-reviews', array('username' => $this->username, 'page' => ($page == 1) ? null : $page, 'ord_dir' => $this->ord_dir, 'ord_field' => $this->ord_field, 'city_id' => $this->city_id)) ?>" onclick="return Cubix.Rev.Load(this)"><?= $page ?></a>
				<? endif ?>

			<? endforeach ?>

			<? if ( $pages_count > $this->page): ?>
				<a class="next" href="<?= $this->getLink('member-reviews', array('username' => $this->username, 'page' => $this->page + 1, 'ord_dir' => $this->ord_dir, 'ord_field' => $this->ord_field, 'city_id' => $this->city_id)) ?>" onclick="return Cubix.Rev.Load(this)"></a>
			<? endif ?>
		</p>
	<? endif; ?>


<?php else: ?>
	<div style="margin: 20px;"><?= $this->t('msg_member_no_reviews') ?></div>
<?php endif; ?>
<? if ( ! $this->ajax ): ?>
	</div>
	</div>
	</div>
<? endif; ?>